cURL
curl -X GET https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6 \
-H "Authorization: Bearer $PAYVEN_TOKEN"const res = await fetch(
"https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6",
{
method: "GET",
headers: {
Authorization: `Bearer ${accessToken}`,
"Content-Type": "application/json",
},
},
);
const data = await res.json();import httpx
res = httpx.get(
"https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6",
headers={
"Authorization": f"Bearer {access_token}",
},
)
data = res.json()var req = new HttpRequestMessage(HttpMethod.Get, "https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6");
req.Headers.Authorization = new AuthenticationHeaderValue("Bearer", accessToken);
var resp = await http.SendAsync(req);req, _ := http.NewRequest("GET", "https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6", nil)
req.Header.Set("Authorization", "Bearer "+accessToken)
resp, _ := http.DefaultClient.Do(req)$ch = curl_init("https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer $accessToken",
],
]);
$data = json_decode(curl_exec($ch), true);HttpResponse<String> response = Unirest.get("https://transfer-sandbox.payven.com.tr/api/v1/transfers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://transfer-sandbox.payven.com.tr/api/v1/transfers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"external_id": "<string>",
"receipt_no": "<string>",
"description": "<string>",
"receiver_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"success_sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"fee_amount": 123,
"scheduled_date": "2023-11-07T05:31:56Z",
"processed_date": "2023-11-07T05:31:56Z",
"validate_date": "2023-11-07T05:31:56Z",
"sent_date": "2023-11-07T05:31:56Z",
"retry_count": 123,
"receiver_account": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holder_name": "<string>",
"description": "<string>",
"account_number": "<string>",
"iban": "<string>",
"masked_card_no": "<string>",
"card_token": "<string>",
"bank_name": "<string>",
"bank_code": "<string>"
},
"request_sender_connector_account": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holder_name": "<string>",
"description": "<string>",
"account_number": "<string>",
"iban": "<string>",
"masked_card_no": "<string>",
"card_token": "<string>",
"connector_configuration_name": "<string>",
"connector_name": "<string>",
"connector_code": "<string>",
"bank_name": "<string>",
"bank_code": "<string>"
},
"success_sender_connector_account": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holder_name": "<string>",
"description": "<string>",
"account_number": "<string>",
"iban": "<string>",
"masked_card_no": "<string>",
"card_token": "<string>",
"connector_configuration_name": "<string>",
"connector_name": "<string>",
"connector_code": "<string>",
"bank_name": "<string>",
"bank_code": "<string>"
}
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/resource_not_found",
"title": "Kaynak bulunamadı",
"status": 404,
"code": "resource_not_found"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}Transfers
Transferi getir
GET
/
api
/
v1
/
transfers
/
{id}
cURL
curl -X GET https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6 \
-H "Authorization: Bearer $PAYVEN_TOKEN"const res = await fetch(
"https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6",
{
method: "GET",
headers: {
Authorization: `Bearer ${accessToken}`,
"Content-Type": "application/json",
},
},
);
const data = await res.json();import httpx
res = httpx.get(
"https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6",
headers={
"Authorization": f"Bearer {access_token}",
},
)
data = res.json()var req = new HttpRequestMessage(HttpMethod.Get, "https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6");
req.Headers.Authorization = new AuthenticationHeaderValue("Bearer", accessToken);
var resp = await http.SendAsync(req);req, _ := http.NewRequest("GET", "https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6", nil)
req.Header.Set("Authorization", "Bearer "+accessToken)
resp, _ := http.DefaultClient.Do(req)$ch = curl_init("https://transfer-sandbox.payven.com.tr/api/v1/transfers/8e3f5c12-9a7b-4c8d-bc4e-2c963f66afa6");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer $accessToken",
],
]);
$data = json_decode(curl_exec($ch), true);HttpResponse<String> response = Unirest.get("https://transfer-sandbox.payven.com.tr/api/v1/transfers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://transfer-sandbox.payven.com.tr/api/v1/transfers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"external_id": "<string>",
"receipt_no": "<string>",
"description": "<string>",
"receiver_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"success_sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"fee_amount": 123,
"scheduled_date": "2023-11-07T05:31:56Z",
"processed_date": "2023-11-07T05:31:56Z",
"validate_date": "2023-11-07T05:31:56Z",
"sent_date": "2023-11-07T05:31:56Z",
"retry_count": 123,
"receiver_account": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holder_name": "<string>",
"description": "<string>",
"account_number": "<string>",
"iban": "<string>",
"masked_card_no": "<string>",
"card_token": "<string>",
"bank_name": "<string>",
"bank_code": "<string>"
},
"request_sender_connector_account": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holder_name": "<string>",
"description": "<string>",
"account_number": "<string>",
"iban": "<string>",
"masked_card_no": "<string>",
"card_token": "<string>",
"connector_configuration_name": "<string>",
"connector_name": "<string>",
"connector_code": "<string>",
"bank_name": "<string>",
"bank_code": "<string>"
},
"success_sender_connector_account": {
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"holder_name": "<string>",
"description": "<string>",
"account_number": "<string>",
"iban": "<string>",
"masked_card_no": "<string>",
"card_token": "<string>",
"connector_configuration_name": "<string>",
"connector_name": "<string>",
"connector_code": "<string>",
"bank_name": "<string>",
"bank_code": "<string>"
}
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/resource_not_found",
"title": "Kaynak bulunamadı",
"status": 404,
"code": "resource_not_found"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Path Parameters
Response
OK
Show child attributes
Show child attributes
Available options:
TRY, USD, EUR Available options:
EFT, Fast, Remittance, CreditCard Available options:
EFT, Fast, Remittance, CreditCard Available options:
Pending, Approved, Rejected, Processing, Delivered, Completed, Failed, Refunded Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I